'use strict';

import {isWeex, isWeb} from 'weex-rx-env';

function getDimensions() {
  let dimensions = {};
  if (isWeex) {
    let weexEnv = typeof WXEnvironment !== 'undefined' ? WXEnvironment : {};
    dimensions = {
      window: {
        width: 750,
        height: weexEnv.deviceHeight * 750 / weexEnv.deviceWidth - 128 * weexEnv.deviceWidth / 750,  // TODO 128 is bar height
        scale: 1,
        fontScale: 1,
      },
      screen: {
        width: weexEnv.deviceWidth,
        height: weexEnv.deviceHeight,
      },
    };
  } else if (isWeb) {
    let documentElement = document.documentElement;
    dimensions = {
      window: {
        width: documentElement.clientWidth,
        height: documentElement.clientHeight,
        scale: window.devicePixelRatio || 1,
        fontScale: 1,
      },
      screen: screen,
    };
  }

  return dimensions;
}

export default class Dimensions {
  static get(dim) {
    return getDimensions()[dim];
  }
}
